%define origname imms

Name: xmms-imms
Version: 1.0.1
Release: alt1

Epoch: %(date +%%Y%%m%%d)

Summary: Intelligent Multimedia Management System
License: GPL
Group: Sound

Url: http://www.luminal.org/phpwiki/index.php/IMMS
Source: http://www.luminal.org/files/%origname/%origname-%version.tar.bz2

Packager: Michael Shigorin <mike@altlinux.ru>

Obsoletes: imms

Summary(ru_RU.KOI8-R): ""  
Summary(uk_UA.KOI8-U): ""  ̦

# Automatically added by buildreq on Tue Jan 27 2004
BuildRequires: XFree86-devel gcc-c++ glib-devel gtk+-devel hostinfo id3lib-devel libogg-devel libpcre-devel libstdc++-devel libvorbis-devel libxmms-devel sqlite-devel zlib-devel

# need new macros
BuildRequires: libxmms-devel >= 1.2.8-alt2

%description
IMMS is an adaptive playlist plug-in for XMMS designed to simplify management
and prioritization of large collections of music.

Some of the key features include:
* Rating and playlist adjustment is done completely transparently to the user.
  IMMS is super easy to use!
* Files are indentified by paths and checksums. Even if you move them they
  still keep their ratings.
* Though mostly "good" songs will be played, ocasionally less popular songs
  will sneak in to give them a chance to earn user's favour.
* IMMS does a better job of shuffling than XMMS. It is able to recognise
  different versions of the same song and not play them in quick succession.

%description -l ru_RU.KOI8-R
IMMS --     XMMS,   
     .

%description -l uk_UA.KOI8-U
IMMS --    צ XMMS,   
  æ  æ .

%prep
%setup -q -n %origname-%version

%build
unset CC CXX
%make
%configure
%make_build

%install
%__install -pD -m644 libimms.so %buildroot%xmms_generaldir/libimms.so

%files
%doc README 
%xmms_generaldir/*

%changelog
* Thu Feb 26 2004 Michael Shigorin <mike@altlinux.ru> 20040226:1.0.1-alt1
- 1.0.1

* Tue Jan 27 2004 Michael Shigorin <mike@altlinux.ru> 20040127:1.0-alt1
- 1.0!

* Fri Dec 05 2003 Michael Shigorin <mike@altlinux.ru> 20031205:0.9.9-alt1
- 0.9.9 (major bugfixes)

* Wed Nov 12 2003 Michael Shigorin <mike@altlinux.ru> 20031112:0.9.8-alt1
- 0.9.8 (minor bigfixes; lives better with crossfade)

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 20031025:0.9.4-alt1
- updated for new plugin policy 
- renamed to %name

* Thu Oct 09 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4 (minor feature enhancements)

* Tue Oct 07 2003 Michael Shigorin <mike@altlinux.ru> 0.9.3-alt1
- 0.9.3 (major bugfixes in 0.9.2)
- updated BuildRequires (libpcre-devel)

* Thu Jul 31 2003 Michael Shigorin <mike@altlinux.ru> 0.9-alt1
- built for ALT Linux

